create table SYSADM.admin (
   userid  CHAR(20) not null  ,
   password  CHAR(20) not null  
)in DEFTABLESPACE  lock mode page  fillfactor 100 ;
insert into SYSADM.admin values (?,?) ;
'admin               ', 'admin               ';
end; 

create table SYSADM.authority_list (
     id  VARCHAR(40) not null  ,
     label  VARCHAR(40) not null  , 
     default  CHAR(1) default null ,
     author  VARCHAR(20) default null 
) in DEFTABLESPACE  lock mode page  fillfactor 100 ;
insert into SYSADM.authority_list values (?,?,?,?) ;
'1', 'Local User', 'T', NULL;
'100', 'Global User', NULL, NULL;
'1000', 'Supervisor', NULL, NULL;
end; 
alter table SYSADM.authority_list primary key ( id) ;

create table SYSADM.blood_list (
  id  VARCHAR(40) not null  , 
  label  VARCHAR(40) not null  , 
  default  CHAR(1) default null 
) in DEFTABLESPACE  lock mode page  fillfactor 100 ;
insert into SYSADM.blood_list values (?,?,?) ;
'A', 'A', NULL;
'B', 'B', NULL;
'O', 'O', NULL;
'AB', 'AB', NULL;
'RH+', 'RH+', NULL;
'RH-', 'RH-', NULL;
end; 
alter table SYSADM.blood_list primary key ( id) ;

create table SYSADM.company (
  Company_ID  SERIAL(0),
  Name  VARCHAR(100) default null ,
  Profession  VARCHAR(100) default null ,
  Contactor  VARCHAR(100) default null ,
  Country  VARCHAR(50) default null ,
  State  VARCHAR(50) default null ,
  City  VARCHAR(50) default null ,
  Add1  VARCHAR(200) default null ,
  Add2  VARCHAR(200) default null ,
  Add3  VARCHAR(200) default null ,
  ZIP  VARCHAR(20) default null ,
  Phone  VARCHAR(50) default null ,
  Fax  VARCHAR(50) default null ,
  Memo  VARCHAR(255) default null ,
  Created  TIMESTAMP default now() ,
  Modifyied  TIMESTAMP default now() ,
  Author  VARCHAR(20) not null  
)in DEFTABLESPACE  lock mode page  fillfactor 100 ;
alter table SYSADM.company primary key ( Company_ID) ;

create table SYSADM.company_admin (
   userid  VARCHAR(20) not null  
) in DEFTABLESPACE  lock mode page  fillfactor 100 ;

create table SYSADM.company_list (
   id  VARCHAR(40) not null  ,
   label  VARCHAR(40) not null  ,
   default  CHAR(1) default null ,
   author  VARCHAR(20) default null 
) in DEFTABLESPACE  lock mode page  fillfactor 100 ;
alter table SYSADM.company_list primary key ( id) ;

create table SYSADM.country_list (
   id  VARCHAR(40) not null  ,
   label  VARCHAR(40) not null  ,
   default  CHAR(1) default null ,
   author  VARCHAR(20) default null 
) in DEFTABLESPACE  lock mode page  fillfactor 100 ;
insert into SYSADM.country_list values (?,?,?,?) ;
'AF', 'Afghanistan', NULL, NULL;
'AL', 'Albania', NULL, NULL;
'DZ', 'Algeria', NULL, NULL;
'AS', 'American Samoa', NULL, NULL;
'US', 'United States', 'T', NULL;
'TW', 'Taiwan', NULL, NULL;
'aa', 'aa', NULL, NULL;
'b', 'bb', NULL, NULL;
end; 
alter table SYSADM.country_list primary key ( id) ;

create table SYSADM.customer (
   ID  SERIAL(1),
   Company_ID  INTEGER default null ,
   FName  VARCHAR(40) default null ,
   LName  VARCHAR(40) default null ,
   Salutation  VARCHAR(40) default null ,
   Sex  CHAR(1) default null  check value='F' or Value='M' or value='L' ,
   Birthday  DATE default null , Dept  VARCHAR(50) default null ,
   Title  VARCHAR(50) default null ,
   Phone  VARCHAR(40) default null ,
   Ext  VARCHAR(50) default null ,
   Cell_Phone  VARCHAR(40) default null ,
   Pager  VARCHAR(40) default null ,
   Fax  VARCHAR(40) default null ,
   Email1  VARCHAR(100) default null ,
   Email2  VARCHAR(100) default null ,
   URL  VARCHAR(200) default null ,
   Owner  VARCHAR(20) not null  ,
   created  TIMESTAMP default now() ,
   modified  TIMESTAMP default null ,
   Memo  VARCHAR(255) default null ,
   Copy_From  VARCHAR(255) default null
) in DEFTABLESPACE  lock mode page  fillfactor 100 ;
alter table SYSADM.customer primary key ( ID) ;

create table SYSADM.customer_admin (
   userid  VARCHAR(20) not null  
) in DEFTABLESPACE  lock mode page  fillfactor 100 ;

create table SYSADM.dept_list (
   id  VARCHAR(40) not null  ,
   label  VARCHAR(40) not null  ,
   default  CHAR(1) default null ,
   author  VARCHAR(20) default null 
) in DEFTABLESPACE  lock mode page  fillfactor 100 ;
alter table SYSADM.dept_list primary key ( id) ;

create table SYSADM.e_card (
   ID  SERIAL(1),
   Name  VARCHAR(50) not null  ,
   Desc  VARCHAR(255) default null ,
   Created  TIMESTAMP default now() ,
   File  FILE not null ,
   Author  VARCHAR(255) default null 
) in DEFTABLESPACE  lock mode page  fillfactor 100 ;
alter table SYSADM.e_card primary key ( ID) ;

create table SYSADM.ecard_admin ( 
   userid  VARCHAR(20) not null 
) in DEFTABLESPACE  lock mode page  fillfactor 100 ;

create table SYSADM.ecard_record (
   ID  SERIAL(1),
   File  VARCHAR(255) default null ,
   Body  LONG VARCHAR default null ,
   To  VARCHAR(255) default null ,
   Sender  VARCHAR(255) default null ,
   Password  VARCHAR(25) default null ,
   User  VARCHAR(25) default null
) in DEFTABLESPACE  lock mode page  fillfactor 100 ;
alter table SYSADM.ecard_record primary key ( ID) ;

create table SYSADM.employee (
   ID  VARCHAR(20) not null  ,
   Password  CHAR(20) not null  ,
   FName  VARCHAR(50) default null ,
   LName  VARCHAR(50) default null ,
   Authority  INTEGER not null default 0 ,
   Nickname  VARCHAR(50) default null ,
   Birthday  DATE default null ,
   Sex  CHAR(1) default 'M'  check value='F' or value='M' or Value='L' ,
   Blood  VARCHAR(10) default null ,
   Company  VARCHAR(50) default null ,
   Department  VARCHAR(50) default null ,
   Title  VARCHAR(50) default null ,
   Phone  VARCHAR(40) default null ,
   Ext  VARCHAR(20) default null ,
   Fax  VARCHAR(40) default null ,
   Email1  VARCHAR(100) default null ,
   Email2  VARCHAR(100) default null ,
   Email3  VARCHAR(100) default null ,
   URL  VARCHAR(100) default null ,
   Cur_Country  VARCHAR(80) default null ,
   Cur_State  VARCHAR(50) default null ,
   Cur_City  VARCHAR(50) default null ,
   Cur_Zip  VARCHAR(20) default null ,
   Cur_Add1  VARCHAR(100) default null ,
   Cur_Add2  VARCHAR(100) default null ,
   Cur_Phone  VARCHAR(40) default null ,
   Home_Country  VARCHAR(80) default null ,
   Home_State  VARCHAR(50) default null ,
   Home_City  VARCHAR(50) default null ,
   Home_Zip  VARCHAR(20) default null ,
   Home_Add1  VARCHAR(100) default null ,
   Home_Add2  VARCHAR(100) default null ,
   Home_Phone  VARCHAR(40) default null ,
   Memo  VARCHAR(255) default null ,
   Created  TIMESTAMP default now() ,
   Modified  TIMESTAMP default now() 
) in DEFTABLESPACE  lock mode page  fillfactor 100 ;
alter table SYSADM.employee primary key ( ID) ;

create table SYSADM.employee_admin (
   userid  VARCHAR(20) not null  
) in DEFTABLESPACE  lock mode page  fillfactor 100 ;

create table SYSADM.gender_list (
   id  VARCHAR(40) not null  ,
   label  VARCHAR(40) not null  ,
   default  CHAR(1) default null ,
   author  VARCHAR(20) default null 
) in DEFTABLESPACE  lock mode page  fillfactor 100 ;
insert into SYSADM.gender_list values (?,?,?,?) ;
'F', 'Female', NULL, NULL;
'M', 'Male', 'T', NULL;
'L', 'LadyBoy', NULL, NULL;
end; 

create table SYSADM.profession_list (
   id  VARCHAR(40) not null  ,
   label  VARCHAR(40) not null  ,
   default  CHAR(1) default null ,
   author  VARCHAR(20) default null 
) in DEFTABLESPACE  lock mode page  fillfactor 100 ;
alter table SYSADM.profession_list primary key ( id) ;

create table SYSADM.ref_admin (
   userid  CHAR(20) not null  ,
   password  CHAR(20) not null  
) in DEFTABLESPACE  lock mode page  fillfactor 100 ;

create table SYSADM.relationship (
   Customer_ID  INTEGER not null  ,
   Employee_ID  VARCHAR(20) not null  ,
   Created  TIMESTAMP default now() 
) in DEFTABLESPACE  lock mode page  fillfactor 100 ;
alter table SYSADM.relationship primary key ( Customer_ID, Employee_ID) ;

create table SYSADM.title_list (
   id  VARCHAR(40) not null  ,
   label  VARCHAR(40) not null  ,
   default  CHAR(1) default null ,
   author  VARCHAR(20) default null 
) in DEFTABLESPACE  lock mode page  fillfactor 100 ;
alter table SYSADM.title_list primary key ( id) ;
